Bug 520522 - PulseAudio only sees card 0 of two sound cards.
Summary: PulseAudio only sees card 0 of two sound cards.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: alsa-lib
Version: 11
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jaroslav Kysela
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-31 22:31 UTC by Erik P. Olsen
Modified: 2010-06-28 14:25 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:25:17 UTC


Attachments (Terms of Use)
Output from alsa-info.sh (42.94 KB, text/plain)
2009-08-31 22:31 UTC, Erik P. Olsen
no flags Details
Output from aplay -l (2.47 KB, text/plain)
2009-08-31 22:32 UTC, Erik P. Olsen
no flags Details
Output from pulseaudio -vvvvvv as requested. (87.25 KB, text/plain)
2009-09-01 19:22 UTC, Erik P. Olsen
no flags Details
Output from alsa-info.sh --no-upload (which I think is already there) (42.62 KB, text/plain)
2009-09-08 22:32 UTC, Erik P. Olsen
no flags Details

Description Erik P. Olsen 2009-08-31 22:31:16 UTC
Created attachment 359326 [details]
Output from alsa-info.sh

Description of problem: I have two sound cards, VIA8237 on the mobo as card 0, Sound Fusion CS46xx as card 1. Since CS46xx is the preferred sound card I want PulseAudio to route sound to this card. However, PulseAudio only sees VIA8237. If I connect the speakers to card 0 I get sound correctly to the speakers. If they are connected to CS46xx I don't get sound from PulseAudio but I can get sound through Alsa. 

I've added alsa-info and aplay -l output as attachments.

Comment 1 Erik P. Olsen 2009-08-31 22:32:39 UTC
Created attachment 359327 [details]
Output from aplay -l

Comment 2 Lennart Poettering 2009-09-01 15:25:06 UTC
Most likely some other app probably just blocked access to your audio device. Please open a terminal, type "pulseaudio -k ; pulseaudio -vvvvvv" there. This will stop the running PA and start a new one with debug output on that console. Then, please paste the output generated here. It will tell us why PA was unable to configure your device.

(Since you are racing against the autorestart of PA here you might need to try the command a couple of times, otherwise you might get an error that PA is already running)

Comment 3 Erik P. Olsen 2009-09-01 19:22:10 UTC
Created attachment 359440 [details]
Output from pulseaudio -vvvvvv as requested.

Comment 4 Lennart Poettering 2009-09-07 22:10:34 UTC
Hmm, seems your driver is refusing the parameters we configure to it.

Which device is 1013:6003?

What happens here is that snd_pcm_hw_params() fails with ENOENT after we issued snd_pcm_hw_params_set_buffer_size_near() and snd_pcm_hw_params_set_periods_near() -- both of which failed for some reason with EINVAL.

As it seems those two failed calls put the hw params struct in an invalid state. Even though we ignored the errors (just printing warnings about them).

Neither snd_pcm_hw_params_set_buffer_size_near() nor snd_pcm_hw_params_set_periods_near() should be able to put the hwparams struct into a state that can then not be used anymore with snd_pcm_hw_params(), even if they fail.

Reassigning to alsa-libs, but this might actually be kernel driver problem.

Erik, please include the output alsa-info.sh --no-upload generates.

Comment 5 Erik P. Olsen 2009-09-08 22:16:41 UTC
1013:6003 is Crystal CS4630 SoundFusion PCI Audio Accelerator [Cirrus Logic]

Comment 6 Erik P. Olsen 2009-09-08 22:32:34 UTC
Created attachment 360140 [details]
Output from alsa-info.sh --no-upload (which I think is already there)

Comment 7 TK009 2009-10-19 18:54:28 UTC
changed version from FC1 to F11

Comment 8 Bug Zapper 2010-04-28 10:06:30 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Bug Zapper 2010-06-28 14:25:17 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.